org.eclipse.swt.events

## Interface KeyListener

All Known Implementing Classes:
  KeyAdapter

    public interface KeyListener

Classes which implement this interface provide methods that deal with the events that are generated as keys are pressed on the system keyboard.

After creating an instance of a class that implements this interface it can be added to a control using the `addKeyListener` method and removed using the `removeKeyListener` method. When a key is pressed or released, the appropriate method will be invoked.

Since:
  1.2
See Also:
  `KeyAdapter`, `KeyEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `keyPressed(KeyEvent e)` Sent when a key is pressed on the system keyboard.
`void` `keyReleased(KeyEvent e)` Sent when a key is released on the system keyboard.

### Method Detail

#### keyPressed

    void keyPressed(KeyEvent e)

Sent when a key is pressed on the system keyboard.

Parameters:
  `e` - an event containing information about the key press

#### keyReleased

    void keyReleased(KeyEvent e)

Sent when a key is released on the system keyboard.

Parameters:
  `e` - an event containing information about the key release

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0